English | [简体中文](./README-zh_CN.md)

# @ray-js/robot-protocol

[![latest](https://img.shields.io/npm/v/@ray-js/robot-protocol/latest.svg)](https://www.npmjs.com/package/@ray-js/robot-protocol) [![download](https://img.shields.io/npm/dt/@ray-js/robot-protocol.svg)](https://www.npmjs.com/package/@ray-js/robot-protocol)

> 扫地机协议解析库

## Installation

```sh
$ npm install @ray-js/robot-protocol
# or
$ yarn add @ray-js/robot-protocol
```

## Usage

### 标准功能

#### 虚拟墙设置 V1(0x12/0x13)

- requestVirtualWallV1
- encodeVirtualWallV1
- decodeVirtualWallV1

#### 选区清扫 V1(0x14/0x15)

- requestRoomCleanV1
- encodeRoomCleanV1
- decodeRoomCleanV1

#### 定点清扫 V1(0x16/0x17)

- requestSpotCleanV1
- encodeSpotCleanV1
- decodeSpotCleanV1

#### 定点清扫 V2(0x3e/0x3f)

- requestSpotCleanV2
- encodeSpotCleanV2
- decodeSpotCleanV2

#### 禁区设置 V2(0x38/0x39)

- requestVirtualAreaV2
- encodeVirtualAreaV2
- decodeVirtualAreaV2

#### 分区分割 V1(0x1c/0x1d)

- encodePartitionDivisionV1
- decodePartitionDivisionV1

#### 分区合并 V1(0x1e/0x1f)

- encodePartitionMergeV1
- decodePartitionMergeV1

#### 设置房间属性 V1(0x22/0x23)

- encodeSetRoomPropertyV1
- decodeSetRoomPropertyV1

#### 设置房间名称 V1(0x24/0x25)

- encodeSetRoomNameV1
- decodeSetRoomNameV1

#### 划区清扫 V2(0x3a/0x3b)

- requestZoneCleanV2
- encodeZoneCleanV2
- decodeZoneCleanV2

#### 勿扰时间设置 V2(0x40/0x41)

- encodeDoNotDisturbV2
- decodeDoNotDisturbV2

#### 快速建图 V1(0x3c/0x3d)

- encodeQuickMapV1

#### 重置当前首页地图 V1(0x42/0x43)

- encodeResetMapV1

### Utils

- getCmdStrFromStandardFeatureCommand
- decodeStandardFeatureCommand
- encodeStandardFeatureCommand
